$colors: (
    red: #DB2828,
    orange: #F2711C,
    yellow: #FBBD08,
    olive: #B5CC18,
    green: #21BA45,
    teal: #00B5AD,
    blue: #2185D0,
    violet: #6435C9,
    purple: #A333C8,
    pink: #E03997,
    white: #fff,
    black: #2A2A2A
);

.color-picker {
    display: flex;

    p {
        margin-right: 10px;
        width: 70px;
        //text-align: right;
        padding-right: 10px;
    }

    input[type="radio"] {
        display: none;
        &:checked + label {
            //span { transform: scale(1.25); }
            @each $name, $value in $colors {
                .#{$name} {
                    border: 3px solid darken($value, 20%);
                }
            } // !@each
        } // !&:checked + label
    }

    span {
        border-radius: 50%;
        width: 50%;
        margin: auto;
    }
}

.size-picker {
    display: flex;

    p {
        margin-right: 10px;
        width: 70px;
        //text-align: right;
        padding-right: 10px;
    }

    input[type="radio"] {
        display: none;
        &:checked + label {
            //span { transform: scale(1.25); }
            @each $name, $value in $colors {
                .#{$name} {
                    border-bottom: 3px solid #69cce3;
                }
            } // !@each
        } // !&:checked + label
    }
}

label {
    display: inline-block;
    width: 50px;
    height: 25px;
    margin-right: 10px;
    cursor: pointer;
    //&:hover {
    //    span {
    //        transform: scale(1.25);
    //    }
    //}
    span {
        display: block;
        width: 100%;
        height: 100%;
        transition: transform .2s ease-in-out;
        @each $name, $value in $colors {
            &.#{$name} {
                background: $value;
            }
        }
    }
}

.size-picker {

    p {
        margin-bottom: 0;
    }

    label {
        width: 50px;
        height: auto;
        margin-right: 10px;
        cursor: pointer;
        text-align: center;
        font-size: 18px;
        //border: 1px solid theme-color('primary');

        span {
            border-bottom: 3px inset;
        }

        &:hover {
            span {
                background: theme-color('primary');
                color: $white;
            }
        }
    }
}
